﻿@model List<eCommerce.Services.Model.Parameter>
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Configuraciónes";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<style>
    .form-group {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }
</style>

<div class="page-header">
    <h1 class="page-title">Parámetros</h1>
</div>
@using (Html.BeginForm("Parameters", "Configuration", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
{
    <div class="page-content">

        <div class="row">

            <div class="col-md-3">
                <div class="panel">
                    <div class="panel-body container-fluid">
                        <div class="row row-lg">
                            <div class="col-md-12">
                                <div id="example-wrap">
                                    <h4 class="example-title">Logo</h4>
                                    <div class="">
                                        <input type="file" name="image" id="image" data-plugin="dropify" data-default-file="@ViewData["Image"]" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-9">
                <div class="panel">
                    <div class="panel-body container-fluid">
                        <div class="row row-lg">
                            <div class="col-sm-12">
                                <div class="example-wrap">
                                    <h4 class="example-title">Redes Sociales</h4>
                                    <div class="example">
                                        <div class="row">
                                            <div class="form-group col-sm-6">
                                                @{
                                                    var paramName = ConfigurationParametersEnum.Instagram_Account.ToString();
                                                    var param = Model.FirstOrDefault(x => x.Name == paramName);
                                                    var value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                                }
                                                <label class="control-label" for="inputBasicFirstName">Instagram</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-instagram" aria-hidden="true"></i></span>
                                                    <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.Instagram_Account" placeholder="ingrese URL" autocomplete="off" value="@value">
                                                </div>
                                            </div>
                                            <div class="form-group col-sm-6">
                                                @{
                                                    paramName = ConfigurationParametersEnum.Facebook_Account.ToString();
                                                    param = Model.FirstOrDefault(x => x.Name == paramName);
                                                    value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                                }
                                                <label class="control-label" for="inputBasicLastName">Facebook</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-facebook" aria-hidden="true"></i></span>
                                                    <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.Facebook_Account" placeholder="ingrese URL" autocomplete="off" value="@value">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="form-group col-sm-6">
                                                <label class="control-label" for="inputBasicFirstName">Instagram API Token</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-instagram" aria-hidden="true"></i></span>
                                                    <input type="text" class="form-control" name="param-Instagram_ApiToken" placeholder="ingrese monto" autocomplete="off" value="">
                                                </div>
                                            </div>
                                            <div class="form-group col-sm-6">
                                                <label class="control-label" for="inputBasicLastName">Facebook App</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="fa fa-facebook" aria-hidden="true"></i></span>
                                                    <input type="text" class="form-control" name="param-Facebook_App" placeholder="ingrese monto" autocomplete="off" value="">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        <!-- CONFIGURACION DE ENVIOS -->
        <div class="panel">
            <div class="panel-body container-fluid">
                <div class="row row-lg">
                    <div class="col-md-12">
                        <div class="example-wrap">
                            <h4 class="example-title">Configuración de Pedidos</h4>
                            <div class="example">
                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        @{
                                            paramName = ConfigurationParametersEnum.MinimumOrderRetail.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && param.Value.HasValue ? param.Value.Value.ToString() : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicFirstName">Compra mínima</label>
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control currency" name="param-@ConfigurationParametersEnum.MinimumOrderRetail" placeholder="ingrese monto" autocomplete="off" value="@value">
                                        </div>
                                    </div>
                                    <div class="form-group col-sm-4">
                                        @{
                                            paramName = ConfigurationParametersEnum.FreeShippingRetail.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && param.Value.HasValue ? param.Value.Value.ToString() : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicFirstName">Envío gratuito</label>
                                        <div class="input-group">
                                            <span class="input-group-addon">$</span>
                                            <input type="text" class="form-control currency" name="param-@ConfigurationParametersEnum.FreeShippingRetail" placeholder="ingrese monto" autocomplete="off" value="@value">
                                        </div>
                                    </div>
                                    <div class="form-group col-sm-4">
                                        @{
                                            paramName = ConfigurationParametersEnum.CompanyPhoneNumber.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicLastName">Teléfono principal</label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-phone" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.CompanyPhoneNumber" placeholder="ingrese número" autocomplete="off" value="@value">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        @{
                                            paramName = ConfigurationParametersEnum.Whatsapp.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicLastName">Whatsapp</label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-whatsapp" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.Whatsapp" placeholder="ingrese número" autocomplete="off" value="@value">
                                        </div>
                                    </div>
                                    <div class="form-group col-sm-4">
                                        @{
                                            paramName = ConfigurationParametersEnum.CompanyEmail.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicLastName">Email para Notificaciones</label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-envelope" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.CompanyEmail" placeholder="ingrese Email" autocomplete="off" value="@value">
                                        </div>
                                    </div>
                                    <div class="form-group col-sm-4">
                                        @{
                                            paramName = ConfigurationParametersEnum.CompanyEmail_User.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicLastName">Email - Usuario</label>
                                        <div class="input-group">
                                            <span class="input-group-addon">@@</span>
                                            <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.CompanyEmail_User" placeholder="ingrese Usuario" autocomplete="off" value="@value">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-sm-4">
                                        @{
                                            paramName = ConfigurationParametersEnum.CompanyEmail_Password.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicLastName">Email - Clave</label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-sticky-note" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.CompanyEmail_Password" placeholder="ingrese contraseña" autocomplete="off" value="@value">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- MERCADO PAGO -->
        <div class="panel">
            <div class="panel-body container-fluid">
                <div class="row row-lg">
                    <div class="col-md-12">
                        <div class="example-wrap">
                            <h4 class="example-title">Mercado Pago</h4>
                            <div class="example">
                                <div class="row">
                                    <div class="form-group col-sm-6">
                                        @{
                                            paramName = ConfigurationParametersEnum.MercadoPago_ClientId.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicFirstName">Client ID</label>
                                        <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.MercadoPago_ClientId" placeholder="Client ID" autocomplete="off" value="@value">
                                    </div>
                                    <div class="form-group col-sm-6">
                                        @{
                                            paramName = ConfigurationParametersEnum.MercadoPago_ClientSecret.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicLastName">Client Secret</label>
                                        <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.MercadoPago_ClientSecret" placeholder="Client Secret" autocomplete="off" value="@value">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- SCRIPTS -->
        <div class="panel">
            <div class="panel-body container-fluid">
                <div class="row row-lg">
                    <div class="col-md-12">
                        <div class="example-wrap">
                            <h4 class="example-title">Scripts</h4>
                            <div class="example">
                                <div class="row">
                                    <div class="form-group col-sm-6">
                                        @{
                                            paramName = ConfigurationParametersEnum.Facebook_Pixel.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicFirstName">Facebook Pixel</label>
                                        @*<input type="text" class="form-control" name="param-@ConfigurationParametersEnum.Facebook_Pixel" placeholder="Facebook Pixel" autocomplete="off" value="@value">*@
                                        <textarea placeholder="Facebook pixel" class="form-control" name="param-@ConfigurationParametersEnum.Facebook_Pixel" rows="6" data-fv-field="Description">@value</textarea>
                                    </div>
                                    <div class="form-group col-sm-6">
                                        @{
                                            paramName = ConfigurationParametersEnum.GoogleAnalitycs_Script.ToString();
                                            param = Model.FirstOrDefault(x => x.Name == paramName);
                                            value = param != null && !string.IsNullOrEmpty(param.Text) ? param.Text : string.Empty;
                                        }
                                        <label class="control-label" for="inputBasicLastName">Google Analitycs</label>
                                        @*<input type="text" class="form-control" name="param-@ConfigurationParametersEnum.GoogleAnalitycs_Script" placeholder="Google Analitycs" autocomplete="off" value="@value">*@
                                        <input type="text" class="form-control" name="param-@ConfigurationParametersEnum.GoogleAnalitycs_Script" placeholder="Google Analitycs ID" autocomplete="off" value="@value">

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>




        <div class="text-right">
            <button type="submit" class="btn btn-primary btn-success" id="btnSave" onclick="save()">Grabar</button>
        </div>

    </div>
                                            }




@section Scripts {

    <script type="text/javascript">

        $('#summernote').summernote({
        });

        var save = function () {
            var html = encodeURIComponent($("#summernote").summernote("code"));
            $("#hidHtml").val(html);
            $("#btnSave").click();
        };

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
            });
        })();

        $(document).ready(function () {
            $(".currency").number(true, 2, ',', '.');
        });

    </script>
}

